You are here

CVE-2013-4408

Vincent (CVE) Danen's picture
Heap-based buffer overflow in the dcerpc_read_ncacn_packet_done function in librpc/rpc/dcerpc_util.c in winbindd in Samba 3.x before 3.6.22, 4.0.x before 4.0.13, and 4.1.x before 4.1.3 allows remote AD domain controllers to execute arbitrary code via an invalid fragment length in a DCE-RPC packet.

Details Source

Mitre

Statement

This issue does not affect the version of samba as shipped with Red Hat Enterprise Linux 5.

Public Date

2013-12-09 00:00:00

Impact

Important

Bugzilla

CVE-2013-4408 samba: Heap-based buffer overflow due to incorrect DCE-RPC fragment length field check

Bugzilla ID

1 018 032

CVSS Status

verified

Base Score

6.80

Base Metrics

AV:N/AC:M/Au:N/C:P/I:P/A:P

Acknowledgements

Red Hat would like to thank the Samba project for reporting this issue. Upstream acknowledges Stefan Metzmacher and Michael Adam of SerNet as the original reporters of this issue.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 6 (samba) RHSA-2013:1806 2013-12-10
Red Hat Enterprise Linux 6 (samba4) RHSA-2013:1805 2013-12-09
Red Hat Enterprise Linux 5 (samba3x) RHSA-2013:1806 2013-12-10
Red Hat Storage Server 2.1 (samba) RHSA-2014:0009 2014-01-06

CWE

CWE-130->CWE-122

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 7 samba Not affected
Red Hat Enterprise Linux 5 samba Not affected